Bug 815332 - [as7] Managed Servers on Host Controller Not Discovered
[as7] Managed Servers on Host Controller Not Discovered
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: JON 3.1.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-23 07:53 EDT by Stefan Negrea
Modified: 2013-09-03 11:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 11:07:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-04-23 07:53:10 EDT
Description of problem:
Managed Servers are not discovered on host controllers. The non-domain host controllers have all the hosts under the username used for host-domain authentication. Everytime the discovery process runs on the host controller it attempts to discover managed servers under the domain controller host; those servers are not available for managed at the host controller level.

How reproducible:
Every time

Steps to Reproduce:
1. Have the following AS7 topology:  Domain Controller with no Managed Servers, Host controller connect to the Domain Controller, Host Controller with 3 Managed Servers.
2. The topology will need to use authentication for server to server communication.
3. Import the Host Controller
  
Actual results:
The Managed Servers are not imported.

Expected results:
The Managed Servers are imported and available for management.

Additional info:
My test environment has the domain controller and host controller on separate machines.
Comment 1 Stefan Negrea 2012-04-25 18:26:03 EDT
This issue is now fixed with the improvements on the Java command line parser.
Comment 2 Libor Zoubek 2012-05-29 13:08:32 EDT
I don't understand steps to reproduce, please mark host controllers and domain controlers with letters.

Could you please help out with setting up server2server authorization? I cannot get it work. I am able to connect servers with security disabled. 

thanks
Comment 3 Libor Zoubek 2012-05-29 13:32:18 EDT
verified on JON 3.1.Er6
Comment 4 Heiko W. Rupp 2013-09-03 11:07:48 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.